FROM docker:25.0.3

RUN apk add --update --no-cache curl ca-certificates gettext && \
    mkdir -p ~/.docker/cli-plugins/ && \
    curl -SL https://github.com/docker/compose/releases/download/v2.24.5/docker-compose-linux-x86_64 -o ~/.docker/cli-plugins/docker-compose && \
    chmod +x ~/.docker/cli-plugins/docker-compose && \
    apk del curl && \
    rm -f /var/cache/apk/*
